Subject: bug#48344: Problem with native-compilation

From: Stephen Berman <[email-masked]>
Date: Tue, 11 May 2021 13:21:39 +0200

On Tue, 11 May 2021 13:11:10 +0200 Konrad Podczeck <[email-masked]> wrote:

> I installed libgccjit from homebrew on the latest MacOS.
>
> Using the option --with-native-compilation to build Emacs, during the configure phase I got:
>
> checking libgccjit.h usability... yes
> checking libgccjit.h presence... yes
> checking for libgccjit.h... yes
> configure: error: Installed libgccjit has failed passing the smoke test.
>
> “usabilty” yes, but then “failed” some test, look contradictory.
> What is the “smoke test”?

https://en.wikipedia.org/wiki/Smoke_testing_%28software%29

>                           There is no hint in any of the docs coming with Emacs.

The complete error message in the configure file is this:

"Installed libgccjit has failed passing the smoke test.
You can verify it yourself compiling:
<https://gcc.gnu.org/onlinedocs/jit/intro/tutorial01.html>.
Please report the issue to your distribution if libgccjit was installed through
that.
Here instructions on how to compile and install libgccjit from source:
<https://gcc.gnu.org/wiki/JIT>."

(I haven't yet tried building --with-native-compilation so I don't know
if the configure output shows the complete message.)

Steve Berman